/**
 * File: MSMQServer.cs
 * Article: Asynchronous Message Queuing using the .NET and COM+ Services
 * Copyright (c) 2000, Gopalan Suresh Raj. All Rights Reserved.
 * Compile with: csc /debug+ /r:system.messaging.dll MSMQServer.cs
 * Run As: MSMQServer <Queue Name> <Message to Send>
 *         eg., MSMQServer testQueue "This is a test"
 */
 
using System;
using System.Messaging;

namespace com.icommware {

	public class MSMQServer {
	
	 public static void Main (String[] args) {
	 
	  // Get the name of this Message Sender application
	  string applicationName = Environment.GetCommandLineArgs ()[0];
	  // Test that the number of arguments passed in are ok
	  if (args.Length != 2) {
	   Console.WriteLine ("Usage: "+
	                      applicationName+
	                      " <Queue Name> <Message to Send>");
	   return;
	  }
	  
	  string messageQueuePath = ".\\"+args [0];
	  // If such a Message Queue does not exist
	  if (MessageQueue.Exists (messageQueuePath) == false) {
	   // Create a Message Queue Path
	   MessageQueue.Create (messageQueuePath);
	  }
	  // Create a MessageQueue Object for that Queue
	  MessageQueue messageQueue = new MessageQueue (messageQueuePath);
	  // Send the Message to this Queue
	  messageQueue.Send (args [1]);
	 }
	}
}